package cn.com.taiji.web.service;

import cn.com.taiji.common.domain.PageResult;
import cn.com.taiji.common.domain.Result;
import cn.com.taiji.cql.model.GeoDataSource;
import cn.com.taiji.web.vo.DeviceVo;
import cn.com.taiji.web.vo.EnterpriseVo;
import org.springframework.web.bind.annotation.RequestBody;

import javax.sql.DataSource;
import java.util.Map;

public interface IGeoDataSourceService {

    /**
     * 获取图层代码对应的数据源信息
     * @return
     */
    GeoDataSource layerCodeGeoDataSource(String layerCode) throws Exception;

    DataSource defaultDataSource() throws Exception;

    /**
     * 数据源列表查询接口
     * @param paramMaps
     * @return
     */

    PageResult geoDsQuery(Map<String,Object> paramMaps) throws Exception;

    /**
     * 数据源增加接口
     * @param paramMaps
     * @return
     * @throws Exception
     */

    Result geoDsAddInfo(Map<String,Object> paramMaps) throws Exception;

    /**
     * 数据源修改接口
     * @param paramMaps
     * @return
     * @throws Exception
     */

    Result geoDsUpdateInfo(Map<String,Object> paramMaps) throws Exception;

    /**
     * 数据源删除接口
     * @param paramMaps
     * @return
     * @throws Exception
     */

    Result geoDsRemoveInfo(Map<String,Object> paramMaps) throws Exception;
}
